#!/bin/bash

function dispbright {
POWERED=`cat /sys/devices/platform/z2-battery/power_supply/Z2/status`
if [ "$POWERED" = "Charging" ]; then
echo 500 > /sys/class/backlight/pwm-backlight.0/brightness
else
echo 420 > /sys/class/backlight/pwm-backlight.0/brightness
fi
}

function loop {
while true ; do
LID="`cat /proc/irq/162/spurious | grep count | awk '{ print $2}'`"
#echo $LID

rem=$(( $LID % 2 ))

if [ $rem -eq 0 ]
then
  echo "$LID is even number" 
  echo "According to this we should turn on the display.. right?"
dispbright
else
  echo "$LID is odd number"
echo "According to this we should turn off the display, right?"
echo 0 > /sys/class/backlight/pwm-backlight.1/brightness
echo 0 > /sys/class/backlight/pwm-backlight.0/brightness 
fi

sleep 2
done
}
loop
