TARGETS = mountkernfs.sh udev mountdevsubfs.sh bootlogd keyboard-setup hostname.sh procps hwclockfirst.sh checkroot.sh hwclock.sh ifupdown-clean mtab.sh udev-mtab module-init-tools checkfs.sh ifupdown mountall.sh mountall-bootclean.sh mountoverflowtmp networking x11-common mountnfs.sh mountnfs-bootclean.sh console-screen.sh console-setup urandom alsa-utils screen-cleanup bootmisc.sh stop-bootlogd-single
INTERACTIVE = udev keyboard-setup checkroot.sh checkfs.sh console-screen.sh console-setup
udev: mountkernfs.sh
mountdevsubfs.sh: mountkernfs.sh udev
bootlogd: mountdevsubfs.sh
keyboard-setup: bootlogd mountkernfs.sh udev
hostname.sh: bootlogd
procps: bootlogd mountkernfs.sh
hwclockfirst.sh: bootlogd mountdevsubfs.sh
checkroot.sh: mountdevsubfs.sh hostname.sh hwclockfirst.sh bootlogd keyboard-setup
hwclock.sh: checkroot.sh bootlogd
ifupdown-clean: checkroot.sh
mtab.sh: checkroot.sh
udev-mtab: udev checkroot.sh
module-init-tools: checkroot.sh
checkfs.sh: checkroot.sh mtab.sh
ifupdown: ifupdown-clean
mountall.sh: checkfs.sh
mountall-bootclean.sh: mountall.sh
mountoverflowtmp: mountall-bootclean.sh
networking: mountkernfs.sh ifupdown mountall.sh mountoverflowtmp
x11-common: mountall.sh mountoverflowtmp
mountnfs.sh: mountall.sh mountoverflowtmp networking ifupdown
mountnfs-bootclean.sh: mountall.sh mountoverflowtmp mountnfs.sh
console-screen.sh: mountall.sh mountoverflowtmp mountnfs.sh mountnfs-bootclean.sh
console-setup: mountall.sh mountoverflowtmp mountnfs.sh mountnfs-bootclean.sh console-screen.sh
urandom: mountall.sh mountoverflowtmp mountnfs.sh mountnfs-bootclean.sh
alsa-utils: mountall.sh mountoverflowtmp mountnfs.sh mountnfs-bootclean.sh udev
screen-cleanup: mountall.sh mountoverflowtmp mountnfs.sh mountnfs-bootclean.sh
bootmisc.sh: mountall.sh mountoverflowtmp mountnfs.sh mountnfs-bootclean.sh udev
stop-bootlogd-single: udev console-screen.sh keyboard-setup console-setup networking ifupdown hwclock.sh checkroot.sh mountall.sh mountoverflowtmp mountkernfs.sh ifupdown-clean mountnfs.sh mountnfs-bootclean.sh urandom alsa-utils hostname.sh mtab.sh screen-cleanup bootlogd mountdevsubfs.sh procps hwclockfirst.sh bootmisc.sh udev-mtab x11-common checkfs.sh mountall-bootclean.sh module-init-tools
