#!/bin/bash
#OPEN LID BRIGHTNESS
SCRB=500
KEYB=0
#CLOSED LID BRIGHTNESS 0-1023
SCRBO=0
KEYBO=0
#POWER BUTTON COMMAND
PWRB1="echo Hi. Replace me with the power button command."


function status {
EVENT1=`dd if=/dev/input/event1 bs=16 count=1 2>/dev/null | od -x | grep -v 0000020`
echo "HEX=$EVENT1"

#Ignore power button 0074
LID=`echo $EVENT1| grep -v 0074 | awk '{ print $8 }'`  

#Accept power button request
POWEROFF=`echo $EVENT1 | grep  0074 | awk '{ print $8 }'`
echo "POWEROFF=$POWEROFF"
echo "LID=$LID"
}

function loop {
while true ; do 
status
lid 2>/dev/null
poweroff 2>/dev/null
done
}

function poweroff {
if [ $POWEROFF -eq 0001 ] ; then
$PWRB1
else
echo nothing >/dev/null
fi
}

function lid {
if [ $LID -eq 0000 ] ; then
 
echo "Turn on display"
echo $SCRB > /sys/class/backlight/pwm-backlight.0/brightness
echo $KEYB > /sys/class/backlight/pwm-backlight.1/brightness

else                   
echo nothing >/dev/null
fi
if [ $LID -eq 0001 ] ; then
echo "Turn off display"
echo $SCRBO > /sys/class/backlight/pwm-backlight.0/brightness
echo $KEYBO > /sys/class/backlight/pwm-backlight.1/brightness
else
echo nothing >/dev/null
fi
}





#ENTRY POINT
loop
